## evolution 3.44.0

=== CMakeLists.txt ===
# Evolution build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution
	VERSION 3.44.0
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
set(PROJECT_URL "http://wiki.gnome.org/Apps/Evolution/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.44)

# Used for pkg-config files
set(INTERFACE_VERSION 3.0)

math(EXPR _is_devel_version "${PROJECT_VERSION_MINOR}%2")
if(_is_devel_version EQUAL 1)
	math(EXPR _minor "${PROJECT_VERSION_MINOR}-1")
	if(_minor EQUAL -1)
		set(_minor 98)
		math(EXPR _major "${PROJECT_VERSION_MAJOR}-1")
	else(_minor EQUAL -1)
		set(_major ${PROJECT_VERSION_MAJOR})
	endif(_minor EQUAL -1)

	set(STABLE_VERSION "${_major}.${_minor}")
	set(APPDATA_RELEASE_TYPE "development")
else(_is_devel_version EQUAL 1)
	unset(STABLE_VERSION)
	set(APPDATA_RELEASE_TYPE "stable")
endif(_is_devel_version EQUAL 1)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GTK_DOC=ON
	-DENABLE_CONTACT_MAPS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DWITH_HELP=ON
	-DWITH_GLADE_CATALOG=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.56)
set(glib_encoded_version GLIB_VERSION_2_56)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.22)
set(gdk_encoded_version GDK_VERSION_3_22)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.42)
set(soup_encoded_version SOUP_VERSION_2_42)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(enchant1_minimum_version 1.6.0)
set(enchant2_minimum_version 2.2.0)
set(gcr_minimum_version 3.4)
set(gdk_pixbuf_minimum_version 2.24.0)
set(gnome_desktop_minimum_version 2.91.3)
set(gsettings_desktop_schemas_minimum_version 2.91.92)
set(libpst_minimum_version 0.6.54)
set(libxml_minimum_version 2.7.3)
set(shared_mime_info_minimum_version 0.22)
set(webkit2gtk_minimum_version 2.28.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(champlain_minimum_version 0.12)
set(clutter_gtk_minimum_version 0.90)
set(geocode_glib_minimum_version 3.10)
set(gladeui_minimum_version 3.10.0)
set(gnome_autoar_minimum_version 0.1.1)
set(gweather_minimum_version 3.10)
set(gweather4_minimum_version 3.91.0)
set(libcanberra_gtk_minimum_version 0.25)
set(libnotify_minimum_version 0.7)
set(libunity_minimum_version 7.1.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")
add_printable_variable_path(MAN_INSTALL_DIR "Install directory for manual pages, defaults to SHARE_INSTALL_PREFIX/man" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")
ensure_default_value(MAN_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/man")

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(errordir "${privdatadir}/errors")
set(etspecdir "${privdatadir}/etspec")
set(evolutionhelpdir "${privdatadir}/help")
set(icondir "${privdatadir}/icons")
set(imagesdir "${privdatadir}/images")
set(moduledir "${privlibdir}/modules")
set(plugindir "${privlibdir}/plugins")
set(soundsdir "${privdatadir}/sounds")
set(uidir "${privdatadir}/ui")
set(viewsdir "${privdatadir}/views")
set(webkitdatadir "${privdatadir}/webkit")
set(webextensionsdir "${privlibdir}/web-extensions")
set(webextensionswebkiteditordir "${webextensionsdir}/webkit-editor")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(GtkDoc)
include(IconCache)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)
include(FindLDAP)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_variable(VERSION_SUBSTRING "Version substring, for packagers" "")
add_printable_variable(VERSION_COMMENT "Define if you want a comment appended to the version number" "")

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(X11/XF86keysym.h HAVE_XFREE)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# Check for nl_langinfo features
# ******************************

CHECK_C_SOURCE_COMPILES("#include <langinfo.h>
			int main(void) { char *detail = nl_langinfo (_NL_MEASUREMENT_MEASUREMENT); return 0; }" HAVE__NL_MEASUREMENT_MEASUREMENT)

# ******************************
# Dependencies
# ******************************

if(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-windows-2.0")
else(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-unix-2.0")
endif(WIN32)

add_printable_option(ENABLE_ALARM_NOTIFY_MODULE "Enable the 'alarm-notify' module" ON)

add_printable_option(ENABLE_GNOME_DESKTOP "Enable GNOME desktop dependency for thumbnails" ON)

if(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "gnome-desktop-3.0")
	set(HAVE_GNOME_DESKTOP ON)

	# It's checked for it twice, this one gives a hint to disable the dependency if not found
	pkg_check_modules_for_option(ENABLE_GNOME_DESKTOP "GNOME desktop dependency for thumbnails" GNOME_DESKTOP ${GNOME_DESKTOP_DEPENDENCY}>=${gnome_desktop_minimum_version})
else(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "")
	set(HAVE_GNOME_DESKTOP OFF)
endif(ENABLE_GNOME_DESKTOP)

pkg_check_modules(GNOME_PLATFORM REQUIRED
	cairo-gobject
	gail-3.0>=${gdk_minimum_version}
	gcr-3>=${gcr_minimum_version}
	gdk-pixbuf-2.0>=${gdk_pixbuf_minimum_version}
	gio-2.0>=${glib_minimum_version}
	${GIO_UNIX_REQUIREMENT}
	gmodule-2.0>=${glib_minimum_version}
	${GNOME_DESKTOP_DEPENDENCY}
	gsettings-desktop-schemas>=${gsettings_desktop_schemas_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
	libxml-2.0>=${libxml_minimum_version}
	shared-mime-info>=${shared_mime_info_minimum_version}
	webkit2gtk-4.0>=${webkit2gtk_minimum_version}
)

pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED
	camel-1.2>=${eds_minimum_version}
	libebook-1.2>=${eds_minimum_version}
	libecal-2.0>=${eds_minimum_version}
	libedataserver-1.2>=${eds_minimum_version}
	libedataserverui-1.2>=${eds_minimum_version}
	libebackend-1.2>=${eds_minimum_version}
)

pkg_check_modules(A11Y REQUIRED atk)
pkg_check_modules(LIBSOUP REQUIRED libsoup-2.4>=${soup_minimum_version})
pkg_check_modules(WEB_EXTENSION REQUIRED webkit2gtk-4.0>=${webkit2gtk_minimum_version})
pkg_check_modules(SQLITE3 REQUIRED sqlite3>=${sqlite_minimum_version})

pkg_check_variable(EDS_SOURCES_DBUS_SERVICE_NAME evolution-data-server-1.2 sourcesdbusservicename)
pkg_check_variable(E_DATA_SERVER_ICONDIR evolution-data-server-1.2 icondir)

# ******************************
# Enchant - support both, but better to use the same as the dependencies (gspell, webkitgtk+,...)
# ******************************

add_printable_variable(WITH_ENCHANT_VERSION "Set Enchant version to use" "auto")
set(enchant_version_values auto 1 2)
set_property(CACHE WITH_ENCHANT_VERSION PROPERTY STRINGS ${enchant_version_values})

if(WITH_ENCHANT_VERSION STREQUAL "1")
	pkg_check_modules(ENCHANT REQUIRED enchant>=${enchant1_minimum_version})
else(WITH_ENCHANT_VERSION STREQUAL "1")
	if(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT REQUIRED enchant-2>=${enchant2_minimum_version})
	else(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT enchant>=${enchant1_minimum_version})
		if(ENCHANT_FOUND)
			set(WITH_ENCHANT_VERSION "auto (enchant-1)")
		else(ENCHANT_FOUND)
			unset(ENCHANT_FOUND)
			pkg_check_modules(ENCHANT enchant-2>=${enchant2_minimum_version})
			if(ENCHANT_FOUND)

=== docs/CMakeLists.txt ===
install(FILES evolution.1
	DESTINATION ${MAN_INSTALL_DIR}/man1
)

if(ENABLE_GTK_DOC)
	add_subdirectory(reference)
endif(ENABLE_GTK_DOC)

=== help/CMakeLists.txt ===
set(HELP_ID ${PROJECT_NAME})

set(HELP_FIGURES_DIR figures)

set(HELP_MEDIA
	${HELP_FIGURES_DIR}/color-000000.png
	${HELP_FIGURES_DIR}/color-204a87.png
	${HELP_FIGURES_DIR}/color-2e3436.png
	${HELP_FIGURES_DIR}/color-4e9a06.png
	${HELP_FIGURES_DIR}/color-5c3566.png
	${HELP_FIGURES_DIR}/color-8f5902.png
	${HELP_FIGURES_DIR}/color-a40000.png
	${HELP_FIGURES_DIR}/color-c4a000.png
	${HELP_FIGURES_DIR}/color-ccccccffffff.png
	${HELP_FIGURES_DIR}/color-ce5c00.png
	${HELP_FIGURES_DIR}/evolutionlogo.png
	${HELP_FIGURES_DIR}/html-composer-insert-image.png
	${HELP_FIGURES_DIR}/html-composer-insert-link.png
	${HELP_FIGURES_DIR}/html-composer-insert-rule.png
	${HELP_FIGURES_DIR}/html-composer-insert-table.png
	${HELP_FIGURES_DIR}/minus-icon.png
	${HELP_FIGURES_DIR}/new-mail-switcher.png
	${HELP_FIGURES_DIR}/plus-icon.png
	${HELP_FIGURES_DIR}/search-icon.png
	${HELP_FIGURES_DIR}/window-overview-layers.png
)

set(HELP_FILES
	backup-restore.page
	calendar-alarms-and-reminders.page
	calendar-caldav.page
	calendar-classifications.page
	calendar-free-busy.page
	calendar-google.page
	calendar-layout-appointment-display.page
	calendar-layout-general-formatting.page
	calendar-layout.page
	calendar-layout-views.page
	calendar-local.page
	calendar-marcus-bains-line.page
	calendar-meetings-delegating.page
	calendar-meetings.page
	calendar-meetings-replying-to-invitation.page
	calendar-meetings-sending-invitation.page
	calendar-organizing.page
	calendar-publishing.page
	calendar-recurrence.page
	calendar-searching.page
	calendar-sharing-information.page
	calendar-timezones.page
	calendar-usage-add-appointment.page
	calendar-usage-delete-appointment.page
	calendar-usage-edit-appointment.page
	calendar-usage.page
	calendar-using-several-calendars.page
	calendar-weather.page
	calendar-webdav.page
	contacts-add-automatically.page
	contacts-autocompletion.page
	contacts-google.page
	contacts-ldap.page
	contacts-libreoffice.page
	contacts-local.page
	contacts-organizing.page
	contacts-searching.page
	contacts-usage-add-contact.page
	contacts-usage-delete-contact.page
	contacts-usage-edit-contact.page
	contacts-usage.page
	contacts-using-contact-lists.page
	contacts-using-several-addressbooks.page
	credits.page
	customize-ui-items.page
	data-storage.page
	default-browser.page
	deleting-appointments.page
	deleting-emails.page
	deleting-to-free-disk-space.page
	exporting-data-calendar.page
	exporting-data-contacts.page
	exporting-data-mail.page
	exporting-data.page
	flatpak-limitations.page
	google-services.page
	import-apps-mozilla.page
	import-apps-kmail.page
	import-apps-outlook.page
	import-data.page
	import-single-files.page
	import-supported-file-formats.page
	index.page
	intro-first-run.page
	intro-keyboard-shortcuts.page
	intro-main-window.page
	legal.xml
	mail-access-gmail-imap-account.page
	mail-access-gmail-pop-account.page
	mail-account-manage-imap-plus.page
	mail-account-manage-local-delivery.page
	mail-account-manage-maildir-format-directories.page
	mail-account-management.page
	mail-account-manage-mh-format-directories.page
	mail-account-manage-microsoft-exchange-evo-ews.page
	mail-account-manage-microsoft-exchange-evo-mapi.page
	mail-account-manage-microsoft-exchange.page
	mail-account-manage-pop.page
	mail-account-manage-unix-mbox-spool-directory.page
	mail-account-manage-unix-mbox-spool-file.page
	mail-account-manage-usenet-news.page
	mail-attachments.page
	mail-attachments-received.page
	mail-attachments-sending.page
	mail-calendar-sending-invitations.page
	mail-cannot-see.page
	mail-change-columns-in-message-list.page
	mail-change-time-format.page
	mail-composer-change-quotation-string.page
	mail-composer-custom-header-lines.page
	mail-composer-enable-html-format.page
	mail-composer-external-editor.page
	mail-composer-forward.page
	mail-composer-forward-as-attachment.page
	mail-composer-from-field-override.page
	mail-composer-html-image.page
	mail-composer-html-link.page
	mail-composer-html.page
	mail-composer-html-rule.page
	mail-composer-html-table.page
	mail-composer-html-text.page
	mail-composer-mail-signatures-manage.page
	mail-composer-mail-signatures.page
	mail-composer-mail-signatures-per-account.page
	mail-composer-message-templates.page
	mail-composer-message-templates-reply.page
	mail-composer-message-templates-save.page
	mail-composer-message-templates-variables.page
	mail-composer-plain-text.page
	mail-composer-priority.page
	mail-composer-reply.page
	mail-composer-search.page
	mail-composer-send-account-overrides.page
	mail-composer-several-recipients.page
	mail-composer-spellcheck.page
	mail-composer-write-new-message.page
	mail-default-CC-and-BCC.page
	mail-default-folder-locations.page
	mail-delete-and-undelete.page
	mail-displaying-character-encodings.page
	mail-displaying-collapsible-headers.page
	mail-displaying-images-in-html.page
	mail-displaying-message.page
	mail-displaying-sender-photograph.page
	mail-display-message-source.page
	mail-duplicates.page
	mail-encryption-gpg-create-key.page
	mail-encryption-gpg-decrypting.page
	mail-encryption-gpg-getting-keys.page
	mail-encryption-gpg-set-up.page
	mail-encryption-gpg-signing-encrypting.page
	mail-encryption.page
	mail-encryption-s-mime-manage.page
	mail-encryption-s-mime-signing-encrypting.page
	mail-filters-actions.page
	mail-filters-conditions.page
	mail-filters-not-working.page
	mail-filters.page
	mail-folders.page
	mail-follow-up-flag.page
	mail-imap-change-send-method.page
	mail-imap-subscriptions.page
	mail-labels.page
	mail-layout-changing.page
	mail-localized-re-subjects.page
	mail-moving-emails.page
	mail-not-sent.page
	mail-organizing.page
	mail-read-receipts.page
	mail-received-notification.page
	mail-receiving-options-exchange-ews.page
	mail-receiving-options-exchange-mapi.page
	mail-receiving-options-imap-plus.page
	mail-receiving-options-local-delivery.page
	mail-receiving-options-maildir-format-directories.page
	mail-receiving-options-mh-format-directories.page
	mail-receiving-options.page
	mail-receiving-options-pop.page
	mail-receiving-options-unix-mbox-spool-directory.page
	mail-receiving-options-unix-mbox-spool-file.page
	mail-receiving-options-usenet-news.page
	mail-refresh-folders.page
	mail-save-as-pdf.page
	mail-search-folders-add.page
	mail-search-folders-conditions.page
	mail-search-folders.page
	mail-searching-attachment-type.page
	mail-searching.page
	mail-send-and-receive-automatically.page
	mail-send-and-receive-manual.page
	mail-send-and-receive.page
	mail-sending-options-smtp.page
	mail-several-pop-accounts.page
	mail-sorting-folder-list.page
	mail-sorting-message-list.page
	mail-spam-marking.page
	mail-spam.page
	mail-spam-settings.page
	mail-two-trash-folders.page
	mail-usenet-subscriptions.page
	mail-vertical-view.page
	mail-word-wrap.page
	mail-working-offline.page
	memos-searching.page
	memos-usage-add-memo.page
	memos-usage-delete-memo.page
	memos-usage-edit-memo.page
	memos-usage.page
	offline.page
	organizing.page
	problems-debug-how-to.page
	problems-getting-help.page
	problems-reporting-bugs.page
	searching-items.page
	start-command-line-parameters.page
	sync-with-other-devices.page
	tasks-caldav.page
	tasks-display-settings.page
	tasks-local.page
	tasks-organizing.page
	tasks-searching.page
	tasks-usage-add-task.page
	tasks-usage-delete-task.page
	tasks-usage-edit-task.page
	tasks-usage.page
	tasks-using-several-tasklists.page
	tasks-webdav.page
	using-categories.page
	xinclude-filter-vfolder-conditions.xml
	xinclude-searching.xml
)

add_custom_target(help-files ALL)

macro(create_help_files_for_lang _lang _helpfilesvar)
	set(pofile "${CMAKE_CURRENT_SOURCE_DIR}/${dir}/${_lang}.po")
	set(mofile "${CMAKE_CURRENT_BINARY_DIR}/${dir}/${_lang}.mo")

	if(NOT EXISTS ${pofile})
		message(FATAL_ERROR "Passed incorrect language '${_lang}' to create_help_files_for_lang()")
	endif(NOT EXISTS ${pofile})

	set(installed)
	set(deps)
	foreach(_file ${HELP_FILES})
		list(APPEND installed ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/${_file})
		list(APPEND deps ${CMAKE_CURRENT_SOURCE_DIR}/C/${_file})
		if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/${_file})
			list(APPEND deps ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/${_file})
		endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/${_file})
	endforeach(_file)
	foreach(_file ${HELP_MEDIA})
		list(APPEND deps ${CMAKE_CURRENT_SOURCE_DIR}/C/${_file})
		if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/${_file})
			list(APPEND deps ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/${_file})
		endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}/${_file})
	endforeach(_file)

	add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/index.page
		COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/${_lang}"
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o "${mofile}" "${pofile}"
		COMMAND ${CMAKE_COMMAND} -E env d="${CMAKE_CURRENT_SOURCE_DIR}/C"
			itstool -m "${mofile}" ${${_helpfilesvar}} --output ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/C
		COMMENT "Generating '${_lang}' help files"
	)

	add_custom_target(${_lang}-help-files
		DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/index.page
			${pofile}
			${deps}
	)

	add_dependencies(help-files ${_lang}-help-files)

	install(FILES ${installed}
		DESTINATION ${SHARE_INSTALL_PREFIX}/help/${_lang}/${HELP_ID}/
	)
endmacro(create_help_files_for_lang)

file(GLOB directories RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
foreach(dir ${directories})
	if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${dir}/${dir}.po")
		list(APPEND helpdeps "${CMAKE_CURRENT_BINARY_DIR}/${dir}/index.page")
		create_help_files_for_lang(${dir} HELP_FILES)

		foreach(_media ${HELP_MEDIA})
			if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${dir}/${_media}")
				install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${dir}/${_media}
					DESTINATION ${SHARE_INSTALL_PREFIX}/help/${dir}/${HELP_ID}/${HELP_FIGURES_DIR}/
				)
			else(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${dir}/${_media}")
				# Pity, no symlink ability here
				install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/C/${_media}
					DESTINATION ${SHARE_INSTALL_PREFIX}/help/${dir}/${HELP_ID}/${HELP_FIGURES_DIR}/
				)
			endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${dir}/${_media}")
		endforeach(_media)
	endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${dir}/${dir}.po")
endforeach(dir)

set(cinstalled)
foreach(_file ${HELP_FILES})
	list(APPEND cinstalled "${CMAKE_CURRENT_SOURCE_DIR}/C/${_file}")
endforeach(_file)

install(FILES ${cinstalled}
	DESTINATION ${SHARE_INSTALL_PREFIX}/help/C/${HELP_ID}/
)

set(cinstalled)
foreach(_file ${HELP_MEDIA})
	list(APPEND cinstalled "${CMAKE_CURRENT_SOURCE_DIR}/C/${_file}")
endforeach(_file)

install(FILES ${cinstalled}
	DESTINATION ${SHARE_INSTALL_PREFIX}/help/C/${HELP_ID}/${HELP_FIGURES_DIR}
)

=== data/icons/CMakeLists.txt ===
set(public_icons
	hicolor_apps_16x16_evolution-mail.png
	hicolor_apps_16x16_evolution-memos.png
	hicolor_apps_16x16_evolution-tasks.png
	hicolor_apps_22x22_evolution-mail.png
	hicolor_apps_22x22_evolution-memos.png
	hicolor_apps_22x22_evolution-tasks.png
	hicolor_apps_24x24_evolution-mail.png
	hicolor_apps_24x24_evolution-memos.png
	hicolor_apps_24x24_evolution-tasks.png
	hicolor_apps_32x32_evolution-mail.png
	hicolor_apps_32x32_evolution-memos.png
	hicolor_apps_32x32_evolution-tasks.png
	hicolor_apps_48x48_evolution-mail.png
	hicolor_apps_48x48_evolution-memos.png
	hicolor_apps_48x48_evolution-tasks.png
	hicolor_apps_scalable_evolution.svg
	hicolor_apps_symbolic_evolution-symbolic.svg
)

# hicolor_status_16x16_wrapped.png was copied from Firefox
# (toolkit/themes/gnomestripe/global/icons/wrap.png), which
# contained the following notice:
#
#     All files in this directory are assumed to be licensed under the
#     tri-license (MPL/GPL/LGPL) used throughout this codebase.
#
# There is no corresponding SVG file. */

set(private_icons
	hicolor_apps_16x16_contact-editor.png
	hicolor_apps_16x16_im-aim.png
	hicolor_apps_16x16_im-icq.png
	hicolor_apps_16x16_im-jabber.png
	hicolor_apps_16x16_im-matrix.png
	hicolor_apps_16x16_im-msn.png
	hicolor_apps_16x16_im-nov.png
	hicolor_apps_16x16_im-yahoo.png
	hicolor_apps_22x22_contact-editor.png
	hicolor_apps_22x22_im-aim.png
	hicolor_apps_22x22_im-icq.png
	hicolor_apps_22x22_im-jabber.png
	hicolor_apps_22x22_im-matrix.png
	hicolor_apps_22x22_im-msn.png
	hicolor_apps_22x22_im-nov.png
	hicolor_apps_22x22_im-yahoo.png
	hicolor_apps_24x24_contact-editor.png
	hicolor_apps_24x24_im-aim.png
	hicolor_apps_24x24_im-icq.png
	hicolor_apps_24x24_im-jabber.png
	hicolor_apps_24x24_im-matrix.png
	hicolor_apps_24x24_im-msn.png
	hicolor_apps_24x24_im-nov.png
	hicolor_apps_24x24_im-yahoo.png
	hicolor_apps_32x32_contact-editor.png
	hicolor_apps_48x48_contact-editor.png
	hicolor_apps_128x128_contact-editor.png
	hicolor_apps_scalable_im-aim.svg
	hicolor_apps_scalable_im-icq.svg
	hicolor_apps_scalable_im-jabber.svg
	hicolor_apps_scalable_im-matrix.svg
	hicolor_apps_scalable_im-msn.svg
	hicolor_apps_scalable_im-nov.svg
	hicolor_apps_scalable_im-yahoo.svg
	hicolor_actions_16x16_folder-copy.png
	hicolor_actions_16x16_folder-move.png
	hicolor_actions_16x16_mail-archive.png
	hicolor_actions_16x16_mail-copy.png
	hicolor_actions_16x16_mail-move.png
	hicolor_actions_16x16_go-today.png
	hicolor_actions_16x16_view-calendar-day.png
	hicolor_actions_16x16_view-calendar-list.png
	hicolor_actions_16x16_view-calendar-month.png
	hicolor_actions_16x16_view-calendar-week.png
	hicolor_actions_16x16_view-calendar-workweek.png
	hicolor_actions_22x22_go-today.png
	hicolor_actions_22x22_view-calendar-day.png
	hicolor_actions_22x22_view-calendar-list.png
	hicolor_actions_22x22_view-calendar-month.png
	hicolor_actions_22x22_view-calendar-week.png
	hicolor_actions_22x22_view-calendar-workweek.png
	hicolor_actions_24x24_go-today.png
	hicolor_actions_24x24_mail-archive.png
	hicolor_actions_24x24_query-free-busy.png
	hicolor_actions_24x24_view-calendar-day.png
	hicolor_actions_24x24_view-calendar-list.png
	hicolor_actions_24x24_view-calendar-month.png
	hicolor_actions_24x24_view-calendar-week.png
	hicolor_actions_24x24_view-calendar-workweek.png
	hicolor_actions_32x32_view-calendar-day.png
	hicolor_actions_32x32_view-calendar-list.png
	hicolor_actions_32x32_view-calendar-month.png
	hicolor_actions_32x32_view-calendar-week.png
	hicolor_actions_32x32_view-calendar-workweek.png
	hicolor_actions_scalable_markdown-bold.svg
	hicolor_actions_scalable_markdown-bold-dark.svg
	hicolor_actions_scalable_markdown-bullets.svg
	hicolor_actions_scalable_markdown-bullets-dark.svg
	hicolor_actions_scalable_markdown-code.svg
	hicolor_actions_scalable_markdown-code-dark.svg
	hicolor_actions_scalable_markdown-emoji.svg
	hicolor_actions_scalable_markdown-emoji-dark.svg
	hicolor_actions_scalable_markdown-header.svg
	hicolor_actions_scalable_markdown-header-dark.svg
	hicolor_actions_scalable_markdown-help.svg
	hicolor_actions_scalable_markdown-help-dark.svg
	hicolor_actions_scalable_markdown-italic.svg
	hicolor_actions_scalable_markdown-italic-dark.svg
	hicolor_actions_scalable_markdown-link.svg
	hicolor_actions_scalable_markdown-link-dark.svg
	hicolor_actions_scalable_markdown-numbers.svg
	hicolor_actions_scalable_markdown-numbers-dark.svg
	hicolor_actions_scalable_markdown-quote.svg
	hicolor_actions_scalable_markdown-quote-dark.svg
	hicolor_actions_scalable_view-calendar-day.svg
	hicolor_actions_scalable_view-calendar-list.svg
	hicolor_actions_scalable_view-calendar-month.svg
	hicolor_actions_scalable_view-calendar-week.svg
	hicolor_actions_scalable_view-calendar-workweek.svg
	hicolor_categories_24x24_preferences-calendar-and-tasks.svg
	hicolor_categories_24x24_preferences-certificates.svg
	hicolor_categories_24x24_preferences-composer.svg
	hicolor_categories_24x24_preferences-contact.svg
	hicolor_categories_24x24_preferences-mail.svg
	hicolor_categories_24x24_preferences-mail-accounts.svg
	hicolor_categories_24x24_preferences-system-network-proxy.svg
	hicolor_categories_48x48_preferences-autocompletion.png
	hicolor_categories_48x48_preferences-calendar-and-tasks.png
	hicolor_categories_48x48_preferences-certificates.png
	hicolor_categories_48x48_preferences-composer.png
	hicolor_categories_48x48_preferences-mail.png
	hicolor_categories_48x48_preferences-mail-accounts.png
	hicolor_categories_48x48_preferences-plugins.svg
	hicolor_categories_48x48_preferences-system-network-proxy.png
	hicolor_places_16x16_mail-inbox.png
	hicolor_places_16x16_mail-outbox.png
	hicolor_places_16x16_mail-sent.png
	hicolor_places_22x22_mail-inbox.png
	hicolor_places_22x22_mail-outbox.png
	hicolor_places_22x22_mail-sent.png
	hicolor_places_24x24_mail-inbox.png
	hicolor_places_24x24_mail-outbox.png
	hicolor_places_24x24_mail-sent.png
	hicolor_status_16x16_wrapped.png
	hicolor_status_32x32_offline.png
	hicolor_status_32x32_online.png
	hicolor_status_32x32_aspect-ratio-lock.png
	hicolor_status_32x32_aspect-ratio-unlock.png
)

# These icons were in gnome-icon-theme prior to GNOME 2.30.
# XXX Need to reevaluate which icons we really need and drop the rest.
#     Many are not Tango-compliant and look dated and out of place.
set(stock_private_icons
	hicolor_actions_16x16_stock_bell.png
	hicolor_actions_16x16_stock_contact-list.png
	hicolor_actions_16x16_stock_insert-note.png
	hicolor_actions_16x16_stock_insert-rule.png
	hicolor_actions_16x16_stock_insert-table.png
	hicolor_actions_16x16_stock_mail-filters-apply.png
	hicolor_actions_16x16_stock_mail-flag-for-followup-done.png
	hicolor_actions_16x16_stock_mail-flag-for-followup.png
	hicolor_actions_16x16_stock_mail-open-multiple.png
	hicolor_actions_16x16_stock_mail-unread-multiple.png
	hicolor_actions_16x16_stock_new-24h-appointment.png
	hicolor_actions_16x16_stock_notes.png
	hicolor_actions_16x16_stock_people.png
	hicolor_actions_16x16_stock_select-column.png
	hicolor_actions_16x16_stock_select-row.png
	hicolor_actions_16x16_stock_shared-by-me.png
	hicolor_actions_16x16_stock_shared-to-me.png
	hicolor_actions_16x16_stock_show-all.png
	hicolor_actions_16x16_stock_task-assigned-to.png
	hicolor_actions_16x16_stock_task-assigned.png
	hicolor_actions_16x16_stock_task-recurring.png
	hicolor_actions_16x16_stock_task.png
	hicolor_actions_16x16_stock_text-monospaced.png
	hicolor_actions_16x16_stock_timezone.png
	hicolor_actions_16x16_stock_todo.png
	hicolor_actions_16x16_stock_video-conferencing.png
	hicolor_actions_16x16_stock_view-details.png
	hicolor_actions_24x24_stock_new-24h-appointment.png
	hicolor_actions_24x24_stock_contact-list.png
	hicolor_actions_24x24_stock_insert-note.png
	hicolor_actions_24x24_stock_insert-rule.png
	hicolor_actions_24x24_stock_insert-table.png
	hicolor_actions_24x24_stock_mail-filters-apply.png
	hicolor_actions_24x24_stock_mail-open-multiple.png
	hicolor_actions_24x24_stock_mail-unread-multiple.png
	hicolor_actions_24x24_stock_notes.png
	hicolor_actions_24x24_stock_people.png
	hicolor_actions_24x24_stock_select-column.png
	hicolor_actions_24x24_stock_select-row.png
	hicolor_actions_24x24_stock_shared-by-me.png
	hicolor_actions_24x24_stock_shared-to-me.png
	hicolor_actions_24x24_stock_show-all.png
	hicolor_actions_24x24_stock_task-assigned-to.png
	hicolor_actions_24x24_stock_task-assigned.png
	hicolor_actions_24x24_stock_task-recurring.png
	hicolor_actions_24x24_stock_task.png
	hicolor_actions_24x24_stock_text-monospaced.png
	hicolor_actions_24x24_stock_timezone.png
	hicolor_actions_24x24_stock_todo.png
	hicolor_actions_24x24_stock_video-conferencing.png
	hicolor_actions_48x48_stock_alarm.png
	hicolor_actions_48x48_stock_mail-flag-for-followup-done.png
	hicolor_actions_48x48_stock_mail-flag-for-followup.png
	hicolor_actions_48x48_stock_new-24h-appointment.png
	hicolor_actions_48x48_stock_notes.png
	hicolor_actions_48x48_stock_people.png
	hicolor_actions_48x48_stock_timezone.png
	hicolor_actions_48x48_stock_todo.png
	hicolor_status_16x16_stock_check-filled.png
	hicolor_status_16x16_stock_score-high.png
	hicolor_status_16x16_stock_score-higher.png
	hicolor_status_16x16_stock_score-highest.png
	hicolor_status_16x16_stock_score-low.png
	hicolor_status_16x16_stock_score-lower.png
	hicolor_status_16x16_stock_score-lowest.png
	hicolor_status_16x16_stock_score-normal.png
	hicolor_status_16x16_stock_signature-bad.png
	hicolor_status_16x16_stock_signature-ok.png
	hicolor_status_16x16_stock_signature.png
	hicolor_status_24x24_stock_signature-bad.png
	hicolor_status_24x24_stock_signature-ok.png
	hicolor_status_24x24_stock_signature.png
	hicolor_status_48x48_stock_signature-bad.png
	hicolor_status_48x48_stock_signature-ok.png
	hicolor_status_48x48_stock_signature.png
)

# these are removed from the adwaita-icon-theme
set(legacy_private_icons
	hicolor_status_8x8_emblem-default.png
	hicolor_status_8x8_emblem-new.png
	hicolor_status_16x16_accessories-text-editor.png
	hicolor_status_16x16_address-book-new.png
	hicolor_status_16x16_application-exit.png
	hicolor_status_16x16_applications-internet.png
	hicolor_status_16x16_appointment-new.png
	hicolor_status_16x16_contact-new.png
	hicolor_status_16x16_dialog-error.png
	hicolor_status_16x16_dialog-information.png
	hicolor_status_16x16_dialog-question.png
	hicolor_status_16x16_document-new.png
	hicolor_status_16x16_document-open.png
	hicolor_status_16x16_document-page-setup.png
	hicolor_status_16x16_document-print-preview.png
	hicolor_status_16x16_document-print.png
	hicolor_status_16x16_document-properties.png
	hicolor_status_16x16_document-save-as.png
	hicolor_status_16x16_document-save.png
	hicolor_status_16x16_edit-clear.png
	hicolor_status_16x16_edit-copy.png
	hicolor_status_16x16_edit-cut.png
	hicolor_status_16x16_edit-delete.png
	hicolor_status_16x16_edit-find-replace.png
	hicolor_status_16x16_edit-find.png
	hicolor_status_16x16_edit-paste.png
	hicolor_status_16x16_edit-redo.png
	hicolor_status_16x16_edit-select-all.png
	hicolor_status_16x16_edit-undo.png
	hicolor_status_16x16_emblem-default.png
	hicolor_status_16x16_emblem-downloads.png
	hicolor_status_16x16_emblem-important.png
	hicolor_status_16x16_emblem-new.png
	hicolor_status_16x16_emblem-photos.png
	hicolor_status_16x16_emblem-web.png
	hicolor_status_16x16_face-angel.png
	hicolor_status_16x16_face-angry.png
	hicolor_status_16x16_face-cool.png
	hicolor_status_16x16_face-crying.png
	hicolor_status_16x16_face-devilish.png
	hicolor_status_16x16_face-embarrassed.png
	hicolor_status_16x16_face-kiss.png
	hicolor_status_16x16_face-laugh.png
	hicolor_status_16x16_face-monkey.png
	hicolor_status_16x16_face-plain.png
	hicolor_status_16x16_face-raspberry.png
	hicolor_status_16x16_face-sad.png
	hicolor_status_16x16_face-sick.png
	hicolor_status_16x16_face-smile-big.png
	hicolor_status_16x16_face-smile.png
	hicolor_status_16x16_face-smirk.png
	hicolor_status_16x16_face-surprise.png
	hicolor_status_16x16_face-tired.png
	hicolor_status_16x16_face-uncertain.png

=== data/views/CMakeLists.txt ===
add_subdirectory(addressbook)
add_subdirectory(calendar)
add_subdirectory(mail)
add_subdirectory(memos)
add_subdirectory(tasks)

=== src/composer/CMakeLists.txt ===
add_error_files(composer mail-composer.error)

install(FILES evolution-composer.ui
	DESTINATION ${uidir}
)

set(DEPENDENCIES
	econtacteditor
	econtactlisteditor
	email-engine
	evolution-mail-formatter
	evolution-shell
	evolution-util
)

set(SOURCES
	e-composer-actions.c
	e-composer-from-header.c
	e-composer-header-table.c
	e-composer-header.c
	e-composer-name-header.c
	e-composer-post-header.c
	e-composer-private.c
	e-composer-spell-header.c
	e-composer-text-header.c
	e-msg-composer.c
)

set(HEADERS
	e-composer-actions.h
	e-composer-common.h
	e-composer-from-header.h
	e-composer-header-table.h
	e-composer-header.h
	e-composer-name-header.h
	e-composer-post-header.h
	e-composer-private.h
	e-composer-spell-header.h
	e-composer-text-header.h
	e-msg-composer.h
)

add_library(evolution-mail-composer SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(evolution-mail-composer
	${DEPENDENCIES}
)

target_compile_definitions(evolution-mail-composer PRIVATE
	-DG_LOG_DOMAIN=\"evolution-mail-composer\"
	-DEVOLUTION_UIDIR=\"${uidir}\"
)

target_compile_options(evolution-mail-composer PUBLIC
	${CERT_UI_CFLAGS}
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(evolution-mail-composer PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${ENCHANT_INCLUDE_DIRS}
	${CERT_UI_INCLUDE_DIRS}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(evolution-mail-composer
	${DEPENDENCIES}
	${CERT_UI_LDFLAGS}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS evolution-mail-composer
	DESTINATION ${privsolibdir}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/composer
)

=== src/e-util/CMakeLists.txt ===
glib_mkenums(e-util-enumtypes e-util-enums.h E_UTIL_ENUMTYPES_H)
glib_genmarshal(e-marshal e_marshal e-marshal.list)

add_error_files(e-util
	e-system.error
	filter.error
	widgets.error
)

set(uifiles
	e-html-editor-manager.ui
	e-send-options.ui
	e-table-config.ui
	e-timezone-dialog.ui
	filter.ui
	gal-view-instance-save-as-dialog.ui
)

install(FILES ${uifiles}
	DESTINATION ${uidir}
)

set(PLATFORM_SOURCES)

if(WIN32)
	set(PLATFORM_SOURCES
		e-win32-reloc.c
		e-win32-defaults.c
		e-win32-defaults.h
	)
endif(WIN32)

glib_compile_resources(${CMAKE_SOURCE_DIR}/data/ ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource org_gnome_evolution ../../data/org.gnome.Evolution.gresource.xml ${CMAKE_SOURCE_DIR}/data/emoji.data)

# Main libevolution-util

set(DEPENDENCIES
	gnomecanvas
)

set(SOURCES
	e-accounts-window.c
	e-action-combo-box.c
	e-activity-bar.c
	e-activity-proxy.c
	e-activity.c
	e-alarm-selector.c
	e-alert-bar.c
	e-alert-dialog.c
	e-alert-sink.c
	e-alert.c
	e-attachment-bar.c
	e-attachment-dialog.c
	e-attachment-handler-image.c
	e-attachment-handler.c
	e-attachment-icon-view.c
	e-attachment-paned.c
	e-attachment-store.c
	e-attachment-tree-view.c
	e-attachment-view.c
	e-attachment.c
	e-auth-combo-box.c
	e-autocomplete-selector.c
	e-bit-array.c
	e-book-source-config.c
	e-cal-source-config.c
	e-calendar-item.c
	e-calendar.c
	e-canvas-background.c
	e-canvas-utils.c
	e-canvas-vbox.c
	e-canvas.c
	e-categories-config.c
	e-categories-dialog.c
	e-categories-editor.c
	e-categories-selector.c
	e-category-completion.c
	e-category-editor.c
	e-cell-checkbox.c
	e-cell-combo.c
	e-cell-date-edit.c
	e-cell-date-int.c
	e-cell-date.c
	e-cell-hbox.c
	e-cell-number.c
	e-cell-percent.c
	e-cell-pixbuf.c
	e-cell-popup.c
	e-cell-size.c
	e-cell-text.c
	e-cell-toggle.c
	e-cell-tree.c
	e-cell-vbox.c
	e-cell.c
	e-charset-combo-box.c
	e-charset.c
	e-client-cache.c
	e-client-combo-box.c
	e-client-selector.c
	e-collection-account-wizard.c
	e-color-chooser-widget.c
	e-color-combo.c
	e-config.c
	e-config-lookup.c
	e-config-lookup-result.c
	e-config-lookup-result-simple.c
	e-config-lookup-worker.c
	e-conflict-search-selector.c
	e-contact-store.c
	e-content-editor.c
	e-content-request.c
	e-data-capture.c
	e-dateedit.c
	e-datetime-format.c
	e-destination-store.c
	e-dialog-utils.c
	e-dialog-widgets.c
	e-ellipsized-combo-box-text.c
	e-emoticon-action.c
	e-emoticon-chooser-menu.c
	e-emoticon-chooser.c
	e-emoticon-tool-button.c
	e-emoticon.c
	e-event.c
	e-file-request.c
	e-file-utils.c
	e-filter-code.c
	e-filter-color.c
	e-filter-datespec.c
	e-filter-element.c
	e-filter-file.c
	e-filter-input.c
	e-filter-int.c
	e-filter-label.c
	e-filter-option.c
	e-filter-part.c
	e-filter-rule.c
	e-focus-tracker.c
	e-gtkemojichooser.h
	e-gtkemojichooser.c
	e-html-editor-actions.c
	e-html-editor-cell-dialog.c
	e-html-editor-dialog.c
	e-html-editor-find-dialog.c
	e-html-editor-hrule-dialog.c
	e-html-editor-image-dialog.c
	e-html-editor-link-dialog.c
	e-html-editor-page-dialog.c
	e-html-editor-paragraph-dialog.c
	e-html-editor-private.h
	e-html-editor-replace-dialog.c
	e-html-editor-spell-check-dialog.c
	e-html-editor-table-dialog.c
	e-html-editor-text-dialog.c
	e-html-editor.c
	e-html-utils.c
	e-icon-factory.c
	e-image-chooser.c
	e-image-chooser-dialog.c
	e-import-assistant.c
	e-import.c
	e-interval-chooser.c
	e-mail-identity-combo-box.c
	e-mail-signature-combo-box.c
	e-mail-signature-editor.c
	e-mail-signature-manager.c
	e-mail-signature-preview.c
	e-mail-signature-script-dialog.c
	e-mail-signature-tree-view.c
	e-map.c
	e-markdown-editor.c
	e-markdown-utils.c
	e-marshal.c
	e-menu-tool-action.c
	e-menu-tool-button.c
	e-misc-utils.c
	e-mktemp.c
	e-name-selector-dialog.c
	e-name-selector-entry.c
	e-name-selector-list.c
	e-name-selector-model.c
	e-name-selector.c
	e-online-button.c
	e-paned.c
	e-passwords.c
	e-photo-cache.c
	e-photo-source.c
	e-picture-gallery.c
	e-plugin-ui.c
	e-plugin.c
	e-poolv.c
	e-popup-action.c
	e-popup-menu.c
	e-port-entry.c
	e-preferences-window.c
	e-preview-pane.c
	e-print.c
	e-printable.c
	e-proxy-combo-box.c
	e-proxy-editor.c
	e-proxy-link-selector.c
	e-proxy-preferences.c
	e-proxy-selector.c
	e-reflow-model.c
	e-reflow.c
	e-rule-context.c
	e-rule-editor.c
	e-search-bar.c
	e-selectable.c
	e-selection-model-array.c
	e-selection-model-simple.c
	e-selection-model.c
	e-selection.c
	e-send-options.c
	e-simple-async-result.c
	e-sorter-array.c
	e-sorter.c
	e-source-combo-box.c
	e-source-config-backend.c
	e-source-config-dialog.c
	e-source-config.c
	e-source-conflict-search.c
	e-source-selector-dialog.c
	e-source-selector.c
	e-source-util.c
	e-spell-checker.c
	e-spell-dictionary.c
	e-spell-entry.c
	e-spell-text-view.c
	e-spinner.c
	e-stock-request.c
	e-supported-locales-private.h
	e-table-click-to-add.c
	e-table-col.c
	e-table-column-selector.c
	e-table-column-specification.c
	e-table-config.c
	e-table-extras.c
	e-table-field-chooser-dialog.c
	e-table-field-chooser-item.c
	e-table-field-chooser.c
	e-table-group-container.c
	e-table-group-leaf.c
	e-table-group.c
	e-table-header-item.c
	e-table-header-utils.c
	e-table-header.c
	e-table-item.c
	e-table-model.c
	e-table-one.c
	e-table-search.c
	e-table-selection-model.c
	e-table-sort-info.c
	e-table-sorted-variable.c
	e-table-sorted.c
	e-table-sorter.c
	e-table-sorting-utils.c
	e-table-specification.c
	e-table-state.c
	e-table-subset-variable.c
	e-table-subset.c
	e-table-utils.c
	e-table.c
	e-text-event-processor-emacs-like.c
	e-text-event-processor.c
	e-text-model-repos.c
	e-text-model.c
	e-text.c
	e-timezone-dialog.c
	e-tree-model-generator.c
	e-tree-model.c
	e-tree-selection-model.c
	e-tree-table-adapter.c
	e-tree-view-frame.c
	e-tree.c
	e-unicode.c
	e-url-entry.c
	e-util-private.h
	e-webdav-browser.c
	e-web-view.c
	e-web-view-jsc-utils.c
	e-web-view-preview.c
	e-widget-undo.c
	e-xml-utils.c
	ea-calendar-cell.c
	ea-calendar-item.c
	ea-cell-table.c
	ea-widgets.c
	gal-a11y-e-cell-popup.c
	gal-a11y-e-cell-registry.c
	gal-a11y-e-cell-text.c
	gal-a11y-e-cell-toggle.c
	gal-a11y-e-cell-tree.c
	gal-a11y-e-cell-vbox.c
	gal-a11y-e-cell.c
	gal-a11y-e-table-click-to-add-factory.c
	gal-a11y-e-table-click-to-add.c
	gal-a11y-e-table-column-header.c
	gal-a11y-e-table-factory.c
	gal-a11y-e-table-item-factory.c
	gal-a11y-e-table-item.c
	gal-a11y-e-table.c
	gal-a11y-e-text-factory.c
	gal-a11y-e-text.c
	gal-a11y-e-tree-factory.c
	gal-a11y-e-tree.c
	gal-a11y-util.c
	gal-view-collection.c
	gal-view-etable.c
	gal-view-instance-save-as-dialog.c
	gal-view-instance.c
	gal-view.c
	${PLATFORM_SOURCES}
	${CMAKE_CURRENT_BINARY_DIR}/e-marshal.c
	${CMAKE_CURRENT_BINARY_DIR}/e-util-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource.c
	${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource.h
)

set(HEADERS
	e-util.h
	e-accounts-window.h
	e-action-combo-box.h
	e-activity-bar.h
	e-activity-proxy.h
	e-activity.h
	e-alarm-selector.h
	e-alert-bar.h
	e-alert-dialog.h
	e-alert-sink.h
	e-alert.h
	e-attachment-bar.h
	e-attachment-dialog.h
	e-attachment-handler-image.h
	e-attachment-handler.h
	e-attachment-icon-view.h
	e-attachment-paned.h
	e-attachment-store.h
	e-attachment-tree-view.h
	e-attachment-view.h
	e-attachment.h
	e-auth-combo-box.h
	e-autocomplete-selector.h
	e-bit-array.h
	e-book-source-config.h
	e-cal-source-config.h
	e-calendar-item.h
	e-calendar.h
	e-canvas-background.h
	e-canvas-utils.h
	e-canvas-vbox.h
	e-canvas.h
	e-categories-config.h
	e-categories-dialog.h
	e-categories-editor.h
	e-categories-selector.h
	e-category-completion.h
	e-category-editor.h
	e-cell-checkbox.h
	e-cell-combo.h
	e-cell-date-edit.h
	e-cell-date-int.h
	e-cell-date.h
	e-cell-hbox.h
	e-cell-number.h
	e-cell-percent.h
	e-cell-pixbuf.h
	e-cell-popup.h
	e-cell-size.h
	e-cell-text.h
	e-cell-toggle.h
	e-cell-tree.h
	e-cell-vbox.h
	e-cell.h
	e-charset-combo-box.h
	e-charset.h
	e-client-cache.h
	e-client-combo-box.h
	e-client-selector.h
	e-collection-account-wizard.h
	e-color-chooser-widget.h
	e-color-combo.h
	e-config.h
	e-config-lookup.h
	e-config-lookup-result.h
	e-config-lookup-result-simple.h
	e-config-lookup-worker.h
	e-conflict-search-selector.h
	e-contact-store.h
	e-content-editor.h
	e-content-request.h
	e-data-capture.h
	e-dateedit.h
	e-datetime-format.h
	e-destination-store.h
	e-dialog-utils.h
	e-dialog-widgets.h
	e-ellipsized-combo-box-text.h
	e-emoticon-action.h
	e-emoticon-chooser-menu.h
	e-emoticon-chooser.h
	e-emoticon-tool-button.h
	e-emoticon.h
	e-event.h
	e-file-request.h
	e-file-utils.h
	e-filter-code.h
	e-filter-color.h
	e-filter-datespec.h
	e-filter-element.h
	e-filter-file.h
	e-filter-input.h
	e-filter-int.h
	e-filter-label.h
	e-filter-option.h
	e-filter-part.h
	e-filter-rule.h
	e-focus-tracker.h
	e-html-editor-actions.h
	e-html-editor-cell-dialog.h
	e-html-editor-dialog.h
	e-html-editor-find-dialog.h
	e-html-editor-hrule-dialog.h
	e-html-editor-image-dialog.h
	e-html-editor-link-dialog.h
	e-html-editor-page-dialog.h
	e-html-editor-paragraph-dialog.h
	e-html-editor-replace-dialog.h
	e-html-editor-spell-check-dialog.h
	e-html-editor-table-dialog.h
	e-html-editor-text-dialog.h
	e-html-editor.h
	e-html-utils.h
	e-icon-factory.h
	e-image-chooser.h
	e-image-chooser-dialog.h
	e-import-assistant.h
	e-import.h
	e-interval-chooser.h
	e-mail-identity-combo-box.h
	e-mail-signature-combo-box.h
	e-mail-signature-editor.h
	e-mail-signature-manager.h
	e-mail-signature-preview.h
	e-mail-signature-script-dialog.h
	e-mail-signature-tree-view.h
	e-map.h
	e-markdown-editor.h
	e-markdown-utils.h
	e-menu-tool-action.h
	e-menu-tool-button.h
	e-misc-utils.h
	e-mktemp.h
	e-name-selector-dialog.h
	e-name-selector-entry.h
	e-name-selector-list.h
	e-name-selector-model.h
	e-name-selector.h
	e-online-button.h
	e-paned.h
	e-passwords.h
	e-photo-cache.h
	e-photo-source.h
	e-picture-gallery.h
	e-plugin-ui.h
	e-plugin.h
	e-poolv.h
	e-popup-action.h
	e-popup-menu.h
	e-port-entry.h
	e-preferences-window.h
	e-preview-pane.h
	e-print.h
	e-printable.h
	e-proxy-combo-box.h
	e-proxy-editor.h
	e-proxy-link-selector.h
	e-proxy-preferences.h
	e-proxy-selector.h
	e-reflow-model.h
	e-reflow.h
	e-rule-context.h
	e-rule-editor.h
	e-search-bar.h
	e-selectable.h
	e-selection-model-array.h
	e-selection-model-simple.h
	e-selection-model.h
	e-selection.h
	e-send-options.h
	e-simple-async-result.h
	e-sorter-array.h
	e-sorter.h
	e-source-combo-box.h
	e-source-config-backend.h
	e-source-config-dialog.h
	e-source-config.h
	e-source-conflict-search.h
	e-source-selector-dialog.h
	e-source-selector.h
	e-source-util.h
	e-spell-checker.h
	e-spell-dictionary.h
	e-spell-entry.h
	e-spell-text-view.h
	e-spinner.h
	e-stock-request.h
	e-table-click-to-add.h
	e-table-col-dnd.h
	e-table-col.h
	e-table-column-selector.h
	e-table-column-specification.h
	e-table-config.h
	e-table-defines.h
	e-table-extras.h
	e-table-field-chooser-dialog.h
	e-table-field-chooser-item.h
	e-table-field-chooser.h
	e-table-group-container.h
	e-table-group-leaf.h
	e-table-group.h
	e-table-header-item.h
	e-table-header-utils.h
	e-table-header.h
	e-table-item.h
	e-table-model.h
	e-table-one.h
	e-table-search.h
	e-table-selection-model.h
	e-table-sort-info.h
	e-table-sorted-variable.h
	e-table-sorted.h
	e-table-sorter.h
	e-table-sorting-utils.h
	e-table-specification.h
	e-table-state.h
	e-table-subset-variable.h
	e-table-subset.h
	e-table-utils.h
	e-table.h
	e-text-event-processor-emacs-like.h
	e-text-event-processor-types.h
	e-text-event-processor.h
	e-text-model-repos.h
	e-text-model.h
	e-text.h
	e-timezone-dialog.h
	e-tree-model-generator.h
	e-tree-model.h
	e-tree-selection-model.h
	e-tree-table-adapter.h
	e-tree-view-frame.h
	e-tree.h
	e-unicode.h
	e-url-entry.h
	e-util-enums.h
	e-webdav-browser.h
	e-web-view.h
	e-web-view-jsc-utils.h
	e-web-view-preview.h
	e-widget-undo.h
	e-xml-utils.h
	ea-calendar-cell.h
	ea-calendar-item.h
	ea-cell-table.h
	ea-factory.h
	ea-widgets.h
	gal-a11y-e-cell-popup.h
	gal-a11y-e-cell-registry.h
	gal-a11y-e-cell-text.h
	gal-a11y-e-cell-toggle.h
	gal-a11y-e-cell-tree.h
	gal-a11y-e-cell-vbox.h
	gal-a11y-e-cell.h

=== data/views/calendar/CMakeLists.txt ===
install(FILES	List_View.galview
		galview.xml
	DESTINATION ${viewsdir}/calendar
)

=== docs/reference/evolution-mail-composer/CMakeLists.txt ===
set(SOURCEDIRS
	${CMAKE_SOURCE_DIR}/src/composer
)

set(DEPENDENCIES
	evolution-mail-composer
	gtkdoc-evolution-mail-engine
	gtkdoc-evolution-mail-formatter
	gtkdoc-evolution-shell
	gtkdoc-evolution-util
)

set(IGNORE_HEADERS
	e-composer-actions.h
	e-composer-private.h
)

add_gtkdoc(evolution-mail-composer composer "EVO_DISABLE_DEPRECATED" SOURCEDIRS DEPENDENCIES IGNORE_HEADERS)

=== docs/reference/evolution-mail-engine/CMakeLists.txt ===
set(SOURCEDIRS
	${CMAKE_SOURCE_DIR}/src/libemail-engine
)

set(DEPENDENCIES
	email-engine
	gtkdoc-evolution-util
)

set(IGNORE_HEADERS
	e-mail-engine-enumtypes.h
)

add_gtkdoc(evolution-mail-engine email-engine "EVO_DISABLE_DEPRECATED" SOURCEDIRS DEPENDENCIES IGNORE_HEADERS)

=== src/calendar/gui/CMakeLists.txt ===
add_custom_xml_files(calendar ${privdatadir} filter .in ""
	tasktypes.xml
	memotypes.xml
	caltypes.xml
)

install(FILES	e-meeting-time-sel.etspec
		e-cal-list-view.etspec
		e-memo-table.etspec
		e-task-table.etspec
	DESTINATION ${etspecdir}
)


set(DEPENDENCIES
	eabutil
	econtacteditor
	econtactlisteditor
	email-engine
	evolution-calendar-importers
	evolution-mail-composer
	evolution-shell
	evolution-util
	gnomecanvas
)

set(SOURCES
	calendar-config.c
	calendar-view.c
	comp-util.c
	e-alarm-list.c
	e-cal-component-preview.c
	e-cal-config.c
	e-cal-data-model.c
	e-cal-data-model-subscriber.c
	e-cal-dialogs.c
	e-cal-event.c
	e-cal-list-view.c
	e-cal-model.c
	e-cal-model-calendar.c
	e-cal-model-memos.c
	e-cal-model-tasks.c
	e-cal-ops.c
	e-calendar-view.c
	e-cell-date-edit-text.c
	e-cell-estimated-duration.c
	e-comp-editor.c
	e-comp-editor-event.c
	e-comp-editor-memo.c
	e-comp-editor-page-attachments.c
	e-comp-editor-page-general.c
	e-comp-editor-page-recurrence.c
	e-comp-editor-page-reminders.c
	e-comp-editor-page-schedule.c
	e-comp-editor-page.c
	e-comp-editor-property-part.c
	e-comp-editor-property-parts.c
	e-comp-editor-task.c
	e-date-time-list.c
	e-day-view.c
	e-day-view-layout.c
	e-day-view-main-item.c
	e-day-view-time-item.c
	e-day-view-top-item.c
	e-estimated-duration-entry.c
	e-meeting-attendee.c
	e-meeting-list-view.c
	e-meeting-store.c
	e-meeting-time-sel.c
	e-meeting-time-sel-item.c
	e-meeting-utils.c
	e-memo-table.c
	e-month-view.c
	e-select-names-editable.c
	e-select-names-renderer.c
	e-send-options-utils.c
	e-task-table.c
	e-to-do-pane.c
	e-week-view.c
	e-week-view-event-item.c
	e-week-view-layout.c
	e-week-view-main-item.c
	e-week-view-titles-item.c
	e-weekday-chooser.c
	e-timezone-entry.c
	itip-utils.c
	misc.c
	print.c
	tag-calendar.c
	ea-calendar.c
	ea-calendar-helpers.c
	ea-cal-view.c
	ea-cal-view-event.c
	ea-day-view.c
	ea-day-view-main-item.c
	ea-day-view-cell.c
	ea-week-view.c
	ea-week-view-main-item.c
	ea-week-view-cell.c
	ea-jump-button.c
)

set(HEADERS
	calendar-config.h
	calendar-config-keys.h
	calendar-view.h
	comp-util.h
	e-alarm-list.h
	e-cal-component-preview.h
	e-cal-config.h
	e-cal-data-model.h
	e-cal-data-model-subscriber.h
	e-cal-dialogs.h
	e-cal-event.h
	e-cal-list-view.h
	e-cal-model-calendar.h
	e-cal-model.h
	e-cal-model-memos.h
	e-cal-model-tasks.h
	e-cal-ops.h
	e-calendar-view.h
	e-cell-date-edit-text.h
	e-cell-estimated-duration.h
	e-comp-editor.h
	e-comp-editor-event.h
	e-comp-editor-memo.h
	e-comp-editor-page-attachments.h
	e-comp-editor-page-general.h
	e-comp-editor-page-recurrence.h
	e-comp-editor-page-reminders.h
	e-comp-editor-page-schedule.h
	e-comp-editor-page.h
	e-comp-editor-property-part.h
	e-comp-editor-property-parts.h
	e-comp-editor-task.h
	e-estimated-duration-entry.h
	e-date-time-list.h
	e-day-view-layout.h
	e-day-view-main-item.h
	e-day-view-time-item.h
	e-day-view-top-item.h
	e-day-view.h
	e-meeting-attendee.h
	e-meeting-list-view.h
	e-meeting-store.h
	e-meeting-time-sel.h
	e-meeting-time-sel-item.h
	e-meeting-types.h
	e-meeting-utils.h
	e-memo-table.h
	e-month-view.h
	e-select-names-editable.h
	e-select-names-renderer.h
	e-send-options-utils.h
	e-task-table.h
	e-to-do-pane.h
	e-week-view-event-item.h
	e-week-view-layout.h
	e-week-view-main-item.h
	e-week-view-titles-item.h
	e-week-view.h
	e-weekday-chooser.h
	e-timezone-entry.h
	itip-utils.h
	misc.h
	print.h
	tag-calendar.h
	ea-calendar.h
	ea-calendar-helpers.h
	ea-cal-view.h
	ea-cal-view-event.h
	ea-day-view.h
	ea-day-view-main-item.h
	ea-day-view-cell.h
	ea-week-view.h
	ea-week-view-main-item.h
	ea-week-view-cell.h
	ea-jump-button.h
)

add_library(evolution-calendar SHARED
	${SOURCES}
	${HEADERS}
)

add_dependencies(evolution-calendar
	${DEPENDENCIES}
)

target_compile_definitions(evolution-calendar PRIVATE
	-DG_LOG_DOMAIN=\"evolution-calendar\"
	-DEVOLUTION_ETSPECDIR=\"${etspecdir}\"
)

target_compile_options(evolution-calendar PUBLIC
	${EVOLUTION_DATA_SERVER_CFLAGS}
	${GNOME_PLATFORM_CFLAGS}
	${LIBSOUP_CFLAGS}
)

target_include_directories(evolution-calendar PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${EVOLUTION_DATA_SERVER_INCLUDE_DIRS}
	${GNOME_PLATFORM_INCLUDE_DIRS}
	${LIBSOUP_INCLUDE_DIRS}
)

target_link_libraries(evolution-calendar
	${DEPENDENCIES}
	${EVOLUTION_DATA_SERVER_LDFLAGS}
	${GNOME_PLATFORM_LDFLAGS}
	${LIBSOUP_LDFLAGS}
	${MATH_LDFLAGS}
)

install(TARGETS evolution-calendar
	DESTINATION ${privsolibdir}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/calendar/gui
)

=== src/modules/addressbook/CMakeLists.txt ===
set(extra_deps
	eabutil
	eabwidgets
	econtacteditor
	econtactlisteditor
	econtactprint
	evolution-addressbook-importers
	evolution-mail-composer
	evolution-shell
)
if(ENABLE_SMIME)
	list(APPEND extra_deps evolution-smime)
endif(ENABLE_SMIME)

set(sources
	evolution-module-addressbook.c
	autocompletion-config.c
	autocompletion-config.h
	eab-composer-util.c
	eab-composer-util.h
	e-book-config-hook.c
	e-book-config-hook.h
	e-book-shell-backend.c
	e-book-shell-backend.h
	e-book-shell-content.c
	e-book-shell-content.h
	e-book-shell-migrate.c
	e-book-shell-migrate.h
	e-book-shell-sidebar.c
	e-book-shell-sidebar.h
	e-book-shell-view.c
	e-book-shell-view.h
	e-book-shell-view-actions.c
	e-book-shell-view-actions.h
	e-book-shell-view-private.c
	e-book-shell-view-private.h
)
set(extra_defines)
set(extra_cflags
	${CHAMPLAIN_CFLAGS}
	${LDAP_CFLAGS}
)
set(extra_incdirs
	${CMAKE_BINARY_DIR}/src/addressbook/util
	${CMAKE_BINARY_DIR}/src/addressbook/gui/contact-editor
	${CMAKE_BINARY_DIR}/src/addressbook/gui/contact-list-editor
	${CMAKE_BINARY_DIR}/src/addressbook/gui/widgets
	${CMAKE_SOURCE_DIR}/src/addressbook/util
	${CMAKE_SOURCE_DIR}/src/addressbook/gui/contact-editor
	${CMAKE_SOURCE_DIR}/src/addressbook/gui/contact-list-editor
	${CMAKE_SOURCE_DIR}/src/addressbook/gui/widgets
	${CHAMPLAIN_INCLUDE_DIRS}
	${LDAP_INCLUDE_DIRS}
)
set(extra_ldflags
	${CHAMPLAIN_LDFLAGS}
	${LDAP_LDFLAGS}
)

add_evolution_module(module-addressbook
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

=== debian/changelog ===
evolution (3.44.0-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.44.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 08:29:19 -0400

evolution (3.43.3-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.43.3

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sun, 06 Mar 2022 09:08:17 -0500

evolution (3.43.2-2) unstable; urgency=medium

  * debian/evolution-common.gsettings-override: Don't show beta warning

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 16 Feb 2022 07:58:53 -0500

evolution (3.43.2-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.43.2
  * debian/control.in: Build-Depend on libcmark-dev for Markdown formatting
  * debian/control.in: Build-Depend on libsqlite3-dev

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 11:46:45 -0500

evolution (3.42.4-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.42.4

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 08:14:54 -0500

evolution (3.42.3-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.42.3

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Jan 2022 20:06:40 -0500

evolution (3.42.2-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.42.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 04 Dec 2021 03:58:57 -0500

evolution (3.42.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated eds requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Nov 2021 17:10:50 +0100

evolution (3.42.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Sep 2021 19:13:55 -0400

evolution (3.42.0-1) experimental; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.42.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 16:48:15 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               dh-sequence-gnome,
               dpkg-dev (>= 1.16.1),
               libchamplain-gtk-0.12-dev,
               libglib2.0-dev (>= 2.56),
               libgtk-3-dev (>= 3.10.0),
               libgail-3-dev (>= 3.0.2),
               libgdk-pixbuf2.0-dev (>= 2.24.0),
               libcamel1.2-dev (>= 3.44.0),
               libcmark-dev,
               libebook1.2-dev (>= 3.44.0),
               libecal2.0-dev (>= 3.44.0),
               libedataserver1.2-dev (>= 3.44.0),
               libedataserverui1.2-dev (>= 3.44.0),
               libebackend1.2-dev (>= 3.44.0),
               evolution-data-server-dev (>= 3.44.0),
               evolution-data-server-dev (<< 3.45),
               libwebkit2gtk-4.0-dev (>= 2.28),
               libgcr-3-dev (>= 3.4),
               libgeocode-glib-dev (>= 3.10),
               libgnome-desktop-3-dev (>= 3.8.0),
               libgspell-1-dev,
               libsoup2.4-dev (>= 2.42),
               libsqlite3-dev (>= 3.7.17),
               libxml2-dev (>= 2.7.3),
               libenchant-2-dev (>= 2.2.0),
               shared-mime-info (>= 0.22),
               libnotify-dev (>= 0.7),
               libgweather-3-dev (>= 3.10.0),
               libcanberra-gtk3-dev (>= 0.25),
               intltool (>= 0.40.0),
               itstool,
               libtool (>= 2.2),
               pkg-config (>= 0.16.0),
               gtk-doc-tools (>= 1.14),
               libcairo2-dev (>= 1.10),
               libatk1.0-dev,
               x11proto-core-dev,
               libldap2-dev,
               libnspr4-dev,
               libnss3-dev,
               psmisc,
               libytnef0-dev,
               libical-dev (>= 2.0.0),
               libpst-dev (>= 0.6.54),
               libsm-dev,
               libice-dev,
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libclutter-gtk-1.0-dev (>= 0.90),
               highlight,
               libcryptui-dev,
               libgnome-autoar-0-dev (>= 0.1.1),
               libgnome-autoar-gtk-0-dev (>= 0.1.1),
               libunity-dev,
Standards-Version: 4.5.0
X-Ubuntu-Use-Langpack: yes
Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 3.44.0),
         evolution-data-server (<< 3.45),
         dbus,
         psmisc
Recommends: evolution-plugins,
            evolution-plugin-bogofilter | evolution-plugin-spamassassin,
            evolution-plugin-pstimport,
            yelp
Suggests: evolution-ews,
          evolution-plugins-experimental,
          gnupg,
          network-manager
Provides: mail-reader,
          imap-client
Breaks: evolution-common (<< 3.20.4-1~)
Replaces: evolution-common (<< 3.20.4-1~)
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange
 servers, newsgroup client, LDAP support and web calendars
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - itip-formatter
  - default-source
  - addressbook-file
  - mark-all-read
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - webdav-account-setup
  - calendar-weather
  - sa-junk-plugin
  - bogo-junk-plugin

Package: libevolution
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         evolution-common (= ${source:Version}),
Description: evolution libraries
 This package contains libraries used by Evolution.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: libevolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libenchant-2-dev (>= 2.2.0),
# evolution-plugin
         libcamel1.2-dev,
# evolution-shell
         libebackend1.2-dev,
         libgtk-3-dev (>= 3.10),
         libgnome-desktop-3-dev,
         libwebkit2gtk-4.0-dev (>= 2.13.90),
         libedataserver1.2-dev,
         libedataserverui1.2-dev,
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - attachment-reminder
  - bbdb
  - dbx-import
  - email-custom-header
  - face
  - mailing-list-actions
  - mail-notification
  - mail-to-task
  - prefer-plain
  - save-calendar
  - sender-validator
  - templates

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - external-editor
  - contacts-map

Package: evolution-plugin-bogofilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         bogofilter
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (bogofilter)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the bogofilter spam filter module for Evolution.

Package: evolution-plugin-pstimport
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Breaks: evolution-common (<< 3.25.91),
        evolution-plugins (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (pstimport)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes a plugin for Evolution that enables importing
 Microsoft Outlook messages from a PST file.

Package: evolution-plugin-spamassassin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         spamassassin,
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (spamassassin)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the spamassasin spam filter module for Evolution.

#Package: evolution-tests
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#Description: Installed tests for Evolution
# Evolution is a groupware suite which integrates mail, calendar,
# address book, to-do list and memo tools.
# .
# This package contains test programs, designed to be run as part of a
# regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@

DEB_REVISION := $(shell echo $(DEB_VERSION) | awk -F- '{ print $$NF }')

# installed-tests are old and require python3-behave
# which is not in Debian yet
override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_OPENLDAP=ON \
		-DENABLE_PLUGINS=all \
		-DENABLE_PST_IMPORT=ON \
		-DENABLE_CONTACT_MAPS=ON \
		-DENABLE_AUTOAR=ON \
		-DENABLE_INSTALLED_TESTS=OFF \
		-DWITH_HELP=ON \
		-DENABLE_GTK_DOC=ON \
		-DVERSION_SUBSTRING=-$(DEB_REVISION)

override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	dh_install
ifneq ($(filter libevolution,$(shell dh_listpackages)),)
	find debian/libevolution/ -name 'module-bogofilter.so' -delete
	find debian/libevolution/ -name 'module-spamassassin.so' -delete
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V'libevolution (>= $(DEB_VERSION_UPSTREAM)), libevolution (<< $(DEB_GNOME_NEXTVERSION))' -n
